Subject: Re: Howto set DIO on MPC-5200 Lite

From: Sylvain Munaut <[email-masked]>
Date: Fri, 23 Mar 2007 13:02:48 +0100

Steven Kaiser wrote:
> EFIKA seems to have some sort of battery backed RTC to keep date and time,
> but without a schematic I can't be sure what it is.  Would be nice if the
> LITE500B had something like this.  What 5200B chip pins does EFIKA use for
> this?  Maybe should reserve these pins for a future RTC in the EFIKA
> tradition.
>   
The EFIKA has a small PIC that serves for power up / down and to keep time.
I think it's on a I2C bus but I don't know if they implemented it with
the embedded I2C controller or by bitbanging some GPIO.
(never saw the schema so that's and educated guess ...)
> So my general question is this: What pins on the 5200B are free for external
> use by the user (i.e. what pins are reserved by the linux 2.4 and 2.6 stock
> kernels for internal use)?
>   
I can only speak for 2.6 and AFAIK it's none ...

Anyway you will need to write your own board file and your own device
tree and have your boot loader set port_config appropriatly. From there
you can free any pin you want (provided  that pin is not used by a
function you want of course ...)

The lines used for PCI IRQ are specified for the Lite5200 and Lite5200B
in their device tree (or in the board file if you still use arch/ppc).
So when you write those files for your board, just make sure it match
your board.

    Sylvain